
Infrastructure - Task #4030

Story # 3755 (Closed): Structural changes to D1 APIs for 2.0 release

Add method getNodeCapabilities to the CN API

2013-10-02 21:55 - Robert Waltz

Status: Closed Start date: 2013-10-02

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-2.0 Story Points:  

Product Version: 2.0.0   

Description

getNode called from cn.dataone.org/cn/v2/node/{nodeId} should return the nodeCapabilities of the NodeId provided as understood by

the CN.

(this has already been implemented, just need an api method call to access it from client.

History

#1 - 2013-10-02 21:56 - Robert Waltz

- Subject changed from Create on the CN a getNode to Add method getNode on the CN

#2 - 2013-10-02 21:58 - Robert Waltz

- Subject changed from Add method getNode on the CN to Add method getNode to the CN API

#3 - 2013-10-02 21:59 - Matthew Jones

Why is this v2?  It's already implemented in v1 with a REST endpoint.  This should work:

https://cn.dataone.org/cn/v1/node/urn:node:KNB

I'm unclear on what is going to be new in this v2 implementation. Please elaborate.

#4 - 2014-07-10 00:44 - Ben Leinfelder

Matt, it is not documented nor defined in the API. Just happens that the rest endpoint returns what we want.

#5 - 2014-07-10 00:46 - Ben Leinfelder

- Subject changed from Add method getNode to the CN API to Add method getCapabilities to the CN API

#6 - 2014-07-10 01:23 - Ben Leinfelder

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from New to Closed

Added to documentation and the API spec in d1_common_java

#7 - 2014-07-10 01:23 - Ben Leinfelder

- Subject changed from Add method getCapabilities to the CN API to Add method getNodeCapabilities to the CN API

- Estimated time set to 0.00
#8 - 2014-07-30 03:01 - Robert Waltz

- Assignee changed from Robert Waltz to Ben Leinfelder

#9 - 2014-10-01 16:51 - Robert Waltz

- Target version set to CCI-2.0.0
